UR-DEFINE-CLASS(1p)

NAME
ur define class - Add one or more classes to the current namespace

VERSION
This document describes ur define class version 0.29.

SYNOPSIS
ur define class --extends=? [NAMES]

$ cd Acme

$ ur define class Animal Vegetable Mineral A Acme::Animal A Acme::Vegetable A Acme::Mineral

$ ur define class Dog Cat Bird --extends Animal A Acme::Dog A Acme::Cat A Acme::Bird

REQUIRED ARGUMENTS

extends
    The base class. Defaults to UR::Object.

    Default value 'UR::Object' if not specified

OPTIONAL ARGUMENTS

NAMES
    (undocumented)

DESCRIPTION:
  Add one or more classes to the current namespace